aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/release-jjb-dab-release
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-05-30 22:14:30 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-05-30 22:14:30 +0200
commite282b61ffa7c8a7f465d9893d610fa329785785e (patch)
tree5a1b798087c931fb89328f458636329327179ff7 /jjb/release-jjb-dab-release
parent238771002532cd0ab24dbf10ad11942ca6094890 (diff)
Release jobs for dab.
Change-Id: I4be4521171b15025488af09226dc8e82ec6cdf7a Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/release-jjb-dab-release')
-rw-r--r--jjb/release-jjb-dab-release/include-release-jjb-dab-release-move-sandbox.sh27
-rw-r--r--jjb/release-jjb-dab-release/release-jjb-dab-release.yaml52
2 files changed, 79 insertions, 0 deletions
diff --git a/jjb/release-jjb-dab-release/include-release-jjb-dab-release-move-sandbox.sh b/jjb/release-jjb-dab-release/include-release-jjb-dab-release-move-sandbox.sh
new file mode 100644
index 00000000..536f726b
--- /dev/null
+++ b/jjb/release-jjb-dab-release/include-release-jjb-dab-release-move-sandbox.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+if test x"" = x"${RELEASE_BRANCH}"; then
+ echo "RELEASE_BRANCH invalid"
+ exit 1
+fi
+
+if test x"" = x"${RELEASE_VERSION}"; then
+ echo "RELEASE_VERSION invalid"
+ exit 1
+fi
+
+
+export REMOTESRC="/src/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+export REMOTEDST="/srv/download/AGL/release/${RELEASE_BRANCH}/${RELEASE_VERSION}/"
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mv ${REMOTESRC}/* ${REMOTEDST}/
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -r ${REMOTESRC}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 sh -c "cd /srv/download/AGL/release/${RELEASE_BRANCH}/ ; rm latest ; ln -sf ${RELEASE_VERSION} latest ; echo ${RELEASE_VERSION} > latest.txt" || true
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-dab-release/release-jjb-dab-release.yaml b/jjb/release-jjb-dab-release/release-jjb-dab-release.yaml
new file mode 100644
index 00000000..1123069a
--- /dev/null
+++ b/jjb/release-jjb-dab-release/release-jjb-dab-release.yaml
@@ -0,0 +1,52 @@
+---
+- project:
+ name: release-jjb-dab-release-from-snapshot
+ jobs:
+ - release-jjb-dab-release-from-snapshot
+
+- job-template:
+ name: 'release-jjb-dab-release-from-snapshot'
+ project-type: freestyle
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/dab_3.99.1
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 3.99.1
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: dab
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - include-release-jjb-dab-release-move-sandbox.sh